#!/bin/bash
#
### BEGIN INIT INFO
# Provides:          preseed-test
# Required-Start:    
# Required-Stop:
# X-Start-Before:    
# Default-Start:     2 3 4 5
# Default-Stop:      
# Short-Description: Tests, if preseed is currently active
# Description:       Disables explicit --force-confnew if preseed is not running
### END INIT INFO

if [ ! -x /usr/bin/preseed-test ]; then
	exit 0
fi

case "$1" in
	start|stop)
		if /usr/bin/preseed-test; then
			rm -f /etc/dpkg/dpkg.cfg.d/00preseed-test
		fi
		exit 0
		;;
	*)
		echo "Invalid mode: '$1'" >&2
		exit 1
		;;
esac
